from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleValue(XInterface, Protocol):
    def getCurrentValue(self) -> Any: ...
    def setCurrentValue(self, aNumber: Any) -> bool: ...
    def getMaximumValue(self) -> Any: ...
    def getMinimumValue(self) -> Any: ...
    def getMinimumIncrement(self) -> Any: ...
